package com.dxhy.common.enums;

/**
 * 
 * 
 * 审核状态
 *
 * @author zhanghong
 * @date 2019年6月3日
 * 
 */
public enum ShztEnum {

    /**
     * 未审核
     */
    WRZ("0", 1),
    /**
     * 已审核
     */
    YRZ("1", 2);

    private static final String[] SHZTMC = {"未审核", "已审核"};

    private String shztDm;
    private int index;

    ShztEnum(String shztDm, int index) {
        this.shztDm = shztDm;
        this.index = index;
    }

    public String getShztDm(int index) {
        for (ShztEnum shzt : ShztEnum.values()) {
            if (shzt.getIndex() == index) {
                return shzt.shztDm;
            }
        }
        return null;
    }

    public String getShztMc(int index) {
        int length = SHZTMC.length;
        if (index <= length) {
            return SHZTMC[index - 1];
        }
        return null;
    }

    public String getShztDm() {
        return shztDm;
    }

    public void setShztDm(String shztDm) {
        this.shztDm = shztDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }
}
